ReflectionExtension::__clone
ReflectionExtension::export
ReflectionExtension
PHP Manual

# ReflectionExtension::__construct

(PHP 5)

ReflectionExtension::__construct — Constructs a ReflectionExtension

### Description

ReflectionExtension::__construct ( string `$name` )

Construct a ReflectionExtension object .

### Parameters

`name`

  Name of the extension.

### Return Values

A ReflectionExtension object .

### Examples

Example #1 ReflectionExtension example

`<?php
$ext = new ReflectionExtension('Reflection');
printf('Extension: %s (version: %s)', $ext->getName(), $ext->getVersion());
?>`

The above example will output something similar to:

    Extension: Reflection (version: $Revision: 299908 $)

### See Also

- ReflectionExtension::info - Gets extension info
- Constructors

ReflectionExtension::__clone
ReflectionExtension::export
ReflectionExtension
PHP Manual